Bug 896635

Summary: FormatDestroyError: error wiping old signatures from /dev/sdb2: 1
Product: [Fedora] Fedora Reporter: Steve <bugzilla>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: anaconda-maint-list, bugzilla, g.kaviyarasu, gswatson, jetbeard, jonathan, niki.guldbrand, sbueno, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:0715631d3a77efb52a95b9c326d4b02fc46399a25838a2b679585b6159f9dd21
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 888570 889727 (view as bug list) Environment:
Last Closed: 2014-02-05 10:03:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
File: anaconda.log
File: environ
File: ifcfg.log
File: messages
File: program.log
File: storage.log
File: anaconda-tb none

Description Steve 2013-01-17 11:28:05 EST
Description of problem:
The following was filed automatically by anaconda:
anaconda 18.37.11 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/__init__.py", line 322, in destroy
    raise FormatDestroyError(msg)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/lvmpv.py", line 134, in destroy
    DeviceFormat.destroy(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 493, in execute
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 323, in doIt
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 114, in doInstall
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
FormatDestroyError: error wiping old signatures from /dev/sdb2: 1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-18-x86_64-Live-Desktop.is rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.6.10-4.fc18.x86_64
other involved packages: python-libs-2.7.3-13.fc18.x86_64
package:        anaconda-18.37.11-1.fc18.x86_64
product:        Fedora
release:        Fedora release 18 (Spherical Cow)
type:           libreport
version:        18

Potential duplicate: bug 887539
Comment 1 Steve 2013-01-17 11:28:09 EST
Created attachment 680349 [details]
File: anaconda.log
Comment 2 Steve 2013-01-17 11:28:12 EST
Created attachment 680350 [details]
File: environ
Comment 3 Steve 2013-01-17 11:28:15 EST
Created attachment 680351 [details]
File: ifcfg.log
Comment 4 Steve 2013-01-17 11:28:22 EST
Created attachment 680352 [details]
File: messages
Comment 5 Steve 2013-01-17 11:28:26 EST
Created attachment 680353 [details]
File: program.log
Comment 6 Steve 2013-01-17 11:28:45 EST
Created attachment 680354 [details]
File: storage.log
Comment 7 Steve 2013-01-17 11:29:12 EST
Created attachment 680356 [details]
File: anaconda-tb
Comment 8 Graham Scott Watson 2013-02-01 23:55:14 EST
Not entirely sure what triggered this while re-installing F18.

* Recreated a basic single local disk LVM layout manually using the installer.
* After correctly defining mounts and exiting partitioner the installer displayed "Please complete items marked...."
* Went back into partitioner, made no adjustments, exited partitioner, no "Please complete items marked...." message this time
* Continued on to install phase, anaconda crashed while 'preparing to install'

Package: anaconda-18.37.11-1.fc18.x86_64
OS Release: Fedora release 18
Comment 9 Samantha N. Bueno 2013-02-04 08:40:16 EST
*** Bug 888570 has been marked as a duplicate of this bug. ***
Comment 10 Samantha N. Bueno 2013-02-04 08:40:23 EST
*** Bug 889727 has been marked as a duplicate of this bug. ***
Comment 11 jetbeard 2013-02-15 16:52:28 EST
Just clicked 'Begin installation'.

Package: anaconda-18.37.11-1.fc18.x86_64
OS Release: Fedora release 18
Comment 12 Graham Scott Watson 2013-02-16 10:34:18 EST
One additional detail; Existing partition I was attempting to delete was a dm-crypt device.
Comment 13 Brian Lane 2013-02-18 19:39:57 EST
Are all of your reports from livecds?

When this happens what does the output of mount look like?

lvm and wipefs are indicating that the partition is is use so the PV isn't removed and wipefs won't wipe it.
Comment 14 Steve 2013-07-03 01:40:52 EDT
This bug seems to be fixed in F19. Isn't?
Comment 15 Fedora End Of Life 2013-12-21 05:28:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 10:04:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.